Qt 5.6 | Qt 3D | C++ Classes | QColorMask

Qt 5.6.3 Reference Documentation

# QColorMask Class

(Qt3DRender::QColorMask)

Allows specifying which color components should be written to the currently bound frame buffer. More...

Header: | #include <QColorMask>
qmake: | QT += 3drender
Inherits: | QRenderState

- List of all members, including inherited members

## Properties

- alpha : bool
- blue : bool
- green : bool
- red : bool

- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QColorMask(Qt3DCore::QNode *parent = Q_NULLPTR)
| ~QColorMask()
bool | isAlpha() const
bool | isBlue() const
bool | isGreen() const
bool | isRed() const

- 1 public function inherited from Qt3DRender::QRenderState
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setAlpha(bool alpha)
void | setBlue(bool blue)
void | setGreen(bool green)
void | setRed(bool red)

- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | alphaChanged(bool alpha)
void | blueChanged(bool blue)
void | greenChanged(bool green)
void | redChanged(bool red)

- 2 signals inherited from Qt3DCore::QNode

## Protected Functions

void | copy(const Qt3DCore::QNode *ref)

- 3 protected functions inherited from Qt3DCore::QNode

### Additional Inherited Members

- 1 static protected member inherited from Qt3DCore::QNode

## Detailed Description

Allows specifying which color components should be written to the currently bound frame buffer.

By default, the property for each color component (red, green, blue, alpha) is set to `true` which means they will be written to the frame buffer. Setting any of the color component to `false` will prevent it from being written into the frame buffer.

## Property Documentation

### alpha : bool

Holds whether the alpha component should be written to the frame buffer.

Access functions:

bool | isAlpha() const
void | setAlpha(bool alpha)

Notifier signal:

void | alphaChanged(bool alpha)

### blue : bool

Holds whether the blue color component should be written to the frame buffer.

Access functions:

bool | isBlue() const
void | setBlue(bool blue)

Notifier signal:

void | blueChanged(bool blue)

### green : bool

Holds whether the green color component should be written to the frame buffer.

Access functions:

bool | isGreen() const
void | setGreen(bool green)

Notifier signal:

void | greenChanged(bool green)

### red : bool

Holds whether the red color component should be written to the frame buffer.

Access functions:

bool | isRed() const
void | setRed(bool red)

Notifier signal:

void | redChanged(bool red)

## Member Function Documentation

### QColorMask::QColorMask(Qt3DCore::QNode *parent = Q_NULLPTR)

Default constructs an instance of QColorMask.

### QColorMask::~QColorMask()

Destroys the instance of QColorMask.

### `[protected]` void QColorMask::copy(const Qt3DCore::QNode *ref)